%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  malaytextr
%global packver   0.1.3
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          0.1.3
Release:          1%{?dist}%{?buildtag}
Summary:          Text Mining for Bahasa Malaysia

License:          MIT + file LICENSE
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel >= 2.10
Requires:         R-core >= 2.10
BuildArch:        noarch
BuildRequires:    R-CRAN-dplyr 
BuildRequires:    R-CRAN-magrittr 
BuildRequires:    R-CRAN-rlang 
BuildRequires:    R-CRAN-stringr 
Requires:         R-CRAN-dplyr 
Requires:         R-CRAN-magrittr 
Requires:         R-CRAN-rlang 
Requires:         R-CRAN-stringr 

%description
It is designed to work with text written in Bahasa Malaysia. We provide
functions and data sets that will make working with Bahasa Malaysia text
much easier. For word stemming in particular, we will look up the Malay
words in a dictionary and then proceed to remove "extra suffix" as
explained in Khan, Rehman Ullah, Fitri Suraya Mohamad, Muh Inam UlHaq,
Shahren Ahmad Zadi Adruce, Philip Nuli Anding, Sajjad Nawaz Khan, and
Abdulrazak Yahya Saleh Al-Hababi (2017)
<https://ijrest.net/vol-4-issue-12.html> . This package includes a
dictionary of Malay words that may be used to perform word stemming, a
dataset of Malay stop words, a dataset of sentiment words and a dataset of
normalized words.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
